com.asprise.imaging.scan

## Class PaperSize

- java.lang.Object
- - com.asprise.imaging.scan.PaperSize

-     public class PaperSize
      extends Object

  Defines common used paper sizes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PaperSize` | `A3`
    `static PaperSize` | `A4`
    `static PaperSize` | `A5`
    `static PaperSize` | `B4`
    `static PaperSize` | `B5`
    `static PaperSize` | `CUSTOM`
    `static PaperSize` | `DEFAULT`
    `static PaperSize` | `EXECUTIVE`
    `static PaperSize` | `LEGAL`
    `static PaperSize` | `LETTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaperSize(double widthInInches, double heightInInches)`
    `PaperSize(String name, double widthInInches, double heightInInches)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getHeightInInches()`
    `String` | `getName()`
    `static PaperSize` | `getPaperSize(double widthInches, double heightInches)` Returns the paper size of the corresponding width/height with error range 2% or null if there is no close size.
    `static List<PaperSize>` | `getPredefined()`
    `static PaperSize` | `getPredefinedByName(String name)`
    `double` | `getWidthInInches()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static PaperSize DEFAULT

    - #### CUSTOM

          public static PaperSize CUSTOM

    - #### LETTER

          public static PaperSize LETTER

    - #### LEGAL

          public static PaperSize LEGAL

    - #### EXECUTIVE

          public static PaperSize EXECUTIVE

    - #### A3

          public static PaperSize A3

    - #### A4

          public static PaperSize A4

    - #### A5

          public static PaperSize A5

    - #### B4

          public static PaperSize B4

    - #### B5

          public static PaperSize B5

  - ### Constructor Detail

    - #### PaperSize

          public PaperSize(String name,
                   double widthInInches,
                   double heightInInches)

    - #### PaperSize

          public PaperSize(double widthInInches,
                   double heightInInches)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getWidthInInches

          public double getWidthInInches()

    - #### getHeightInInches

          public double getHeightInInches()

    - #### getPredefined

          public static List<PaperSize> getPredefined()

    - #### getPredefinedByName

          public static PaperSize getPredefinedByName(String name)

    - #### getPaperSize

          public static PaperSize getPaperSize(double widthInches,
                               double heightInches)

      Returns the paper size of the corresponding width/height with error range 2% or null if there is no close size.
      Parameters:
        `widthInches` -
        `heightInches` -
      Returns:

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © Asprise Software. All Rights Reserved. Please visit the product page at asprise.com